petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNASMGetType

Get the type of subdomain update used

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetType(SNES snes,PCASMType *type)

Logically Collective on SNES

### Input Parameters

SNES -the SNES context

### Output Parameters

type -the type of update

### Keywords

SNES, NASM

### See Also

SNESNASM, SNESNASMSetType(), PCASMGetType()

### Level

intermediate

### Location

src/snes/impls/nasm/nasm.c

### Implementations

SNESNASMGetType_NASM in src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages